Bug 105373 - Can't define a unique constraint in an association.
Summary: Can't define a unique constraint in an association.
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: persistence   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 108447
TreeView+ depends on / blocked
 
Reported: 2003-09-25 14:55 UTC by Daniel Berrange
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:23:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-09-25 14:55:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
Consider the following association (i've removed the table mappings for
simplification).

association {
    composite AtoZ[0..1] atoz;
    component AtoZProvider[0..n] atozProviders;
    Integer[0..1] sortKey;
}

As a preventative measure against 'Lutterkorts Axiom of Lax Data Models'
striking we need to ensure that for each 'AtoZ' object, the sortKeys for the
associated atozProviders are unique. Thus I add:

unique(atoz, sortKey) 

to the association. This triggers an exception when loading PDL:

    [java] Exception in thread "main" java.lang.Error:
/var/ccm-devel/dev/dan/aplaws-rickshaw/atoz/pdl/com/arsdigita/london/atoz/AtoZProvider.pdl:
Encountered "(" at line 44, column 12.
     [java] Was expecting one of:
     [java]     "composite" ...
     [java]     "component" ...
     [java]     <ID> ...
     [java]     
     [java]     at com.redhat.persistence.pdl.PDL.load(PDL.java:72)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Define an association similar to the above example
2. Run generate-sql

    

Additional info:

Comment 1 Daniel Berrange 2006-09-02 17:23:43 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.